#include<iostream>

using namespace std;
int main()
{
	long int x1,x2,y1,y2;
	int broj_kvadrata=0,k;
	cin>>x1>>y1; 
	cin>>x2>>y2; 
	if(x1!=x2 || y1!=y2)
	{
		
		if(x2-x1!=0)
		{
			k= (y2-y1) / (x2-x1);
			if(k==0)
		{
			broj_kvadrata=2;
		}
		
		 if(k==1)
		{
			broj_kvadrata=1;
		}
		}
		else
		{
			broj_kvadrata=2;
		}
				
	}
	cout<<broj_kvadrata<<endl;
}